Loading...
Searching...
No Matches
globus_url.h File Reference

URL Parsing. More...

Go to the source code of this file.

## Data Structures

struct | globus_url_t
| Parsed URLs. More...

## Enumerations

enum | globus_url_scheme_t { GLOBUS_URL_SCHEME_FTP =0 , GLOBUS_URL_SCHEME_GSIFTP , GLOBUS_URL_SCHEME_HTTP , GLOBUS_URL_SCHEME_HTTPS , GLOBUS_URL_SCHEME_LDAP , GLOBUS_URL_SCHEME_FILE , GLOBUS_URL_SCHEME_X_NEXUS , GLOBUS_URL_SCHEME_X_GASS_CACHE , GLOBUS_URL_SCHEME_UNKNOWN , GLOBUS_URL_SCHEME_SSHFTP , GLOBUS_URL_NUM_SCHEMES }
| URL Schemes. More...

## Functions

int | globus_url_parse (const char *url_string, globus_url_t *url)
int | globus_url_parse_rfc1738 (const char *url_string, globus_url_t *url)
int | globus_url_parse_loose (const char *url_string, globus_url_t *url)
int | globus_url_destroy (globus_url_t *url)
int | globus_url_copy (globus_url_t *dest, const globus_url_t *src)
int | globus_url_get_scheme (const char *url_string, globus_url_scheme_t *scheme_type)

## Detailed Description

URL Parsing.